## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLNamespaceDeclarationPrefixImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLNamespaceDeclarationItemImpl
                      org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLNamespaceDeclarationPrefixImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, XMLNamespaceDeclarationItem, XMLNamespaceDeclarationPrefix

public class XMLNamespaceDeclarationPrefixImpl
extends XMLNamespaceDeclarationItemImpl
implements XMLNamespaceDeclarationPrefix

An implementation of the model object 'XML Namespace Declaration Prefix'.

The following features are implemented:

- `Prefix`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getPrefix()`
`void` `setPrefix(java.lang.String newPrefix)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLNamespaceDeclarationItemImpl
`basicSetNamespacesDecl, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getNamespacesDecl, getUri, setNamespacesDecl, setUri`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLNamespaceDeclarationItem
`getNamespacesDecl, getUri, setNamespacesDecl, setUri`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `XMLNamespaceDeclarationPrefix`
  Returns:
    the value of the 'Prefix' attribute.
  See Also:
    `XMLNamespaceDeclarationPrefix.setPrefix(String)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationPrefix_Prefix()`

### setPrefix

    public void setPrefix(java.lang.String newPrefix)

  Specified by:
    `setPrefix` in interface `XMLNamespaceDeclarationPrefix`
  Parameters:
    `newPrefix` - the new value of the 'Prefix' attribute.
  See Also:
    `XMLNamespaceDeclarationPrefix.getPrefix()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `XMLNamespaceDeclarationItemImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `XMLNamespaceDeclarationItemImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `XMLNamespaceDeclarationItemImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `XMLNamespaceDeclarationItemImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XMLNamespaceDeclarationItemImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.